# generate.py
# Based on swirl.py, provided in the SIMION examples

from SIMION.PA import *
from math import *


# create new potential array
pa = PA(nx=830, ny=125, nz=1)

# iterate over all points
for x in range(0, pa.nx()):
    for y in range(0, pa.ny()):
        # compute point value
        is_electrode1 = ( ( ((x >=3 and x <=5) or (x >= 825 and x <=828)) and y <= 123) or ( (y >= 121 and y <= 123) and ((x >= 3 and x <= 313) or (x >= 517 and x <= 828)) ) )
        is_electrode2 = ( (x >= 313 and x <= 517) and (y >= 121 and y <= 123) )

        # set point value
        if is_electrode1: pa.point(x, y, 0, 1, 0)
	if is_electrode2: pa.point(x, y, 0, 1, 100)

# write file
pa.save("3-electrode.pa")
